# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gtm/version'

Gem::Specification.new do |spec|
  spec.name = 'gtm-cli'
  spec.version = GTM::VERSION
  spec.authors = ['Manuel Dudda']
  spec.email = ['manuel.dudda@gmail.com']
  spec.summary = 'GTM Cli'
  spec.description = ''
  spec.homepage = 'https://github.com/manuel84/gtm-cli'
  spec.license = 'MIT'

  spec.files = `git ls-files -z`.split("\x0")
  spec.executables = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']
  spec.add_runtime_dependency 'google-api-client', '~> 0.8'
  spec.add_runtime_dependency 'commander', '~> 4.2'
  spec.add_runtime_dependency 'activesupport', '~> 4.1'

  spec.add_development_dependency 'bundler', '~> 1.6'
  spec.add_development_dependency 'rake', '~> 10.3'
  spec.add_development_dependency 'rubocop', '~> 0.26'
  spec.add_development_dependency 'guard-rspec', '~> 4.5'
end